PDA

View Full Version : gstreamer-plugins-mp3 needs /usr/bin/gst-register-0.8..where do I get this??



copter
17th July 2004, 10:03 AM
Hi : trying to yum install gstreamer-plugins-mp3

Keep on getting this message :

Package gstreamer-plugins-mp3 needs /usr/bin/gst-register-0.8, this is not avail able

Where can I get this gst-register-0.8 ??

Thank you

Copter
:confused:

ilja
17th July 2004, 10:13 AM
yum install gstreamer-utils
should work.

carbo18
17th July 2004, 10:18 AM
gst-register-0.8 is a command that allows the gstreamer plugins to be registered. It should be intalled with gnome and therefore should already be on your system.

ilja
17th July 2004, 10:20 AM
carbo, maybe you are right, but the gstream-utils.rpm (http://rpm.pbone.net/index.php3/stat/4/idpl/1177493/com/gstreamer-utils-0.8.1-alt1.i586.rpm.html) contains
/usr/bin/gst-register
/usr/bin/gst-register-0.8

carbo18
17th July 2004, 10:23 AM
I gues maybe reinstalling gstreamer-utils might solve your problem as ilja said.

copter
17th July 2004, 03:05 PM
yum install gstreamer-utils
should work.

Hi : Thank you so much for your help...

my yum cant find gstreamer-utils
I get this
yum install gstreamer-utils
warning: cannot get shared lock on /var/lib/rpm/Packages
Recogiendo·la·información·del·archivo(s)·de·cabece ra·del·servidor(es)
Servidor:·Fedora Core 2 - i386 - Base
Servidor:·Fedora Core 2 - i386 - GStreamer
Servidor:·Fedora Core 2 - i386 - GStreamer dependencies
Servidor:·Livna.org Fedora Compatible Packages (stable)
Servidor:·Livna.org Fedora Compatible Packages (testing)
Servidor:·Livna.org Fedora Compatible Packages (unstable)
Servidor:·Fedora Core 2 - i386 - Released Updates
Encontrando·paquetes·actualizados
Descargando·las·cabeceras·necesarias
No·se·puede·encontrar·el·paquete·competente·gstrea mer-utils
Ninguna·acción·que·ejecutar
which says it cant find package gstreamer-utils

I got this inyum.conf

[main]
cachedir=/var/cache/yum
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=redhat-release
tolerant=1
exactarch=1
retries=20

[base]
name=Fedora Core $releasever - $basearch - Base
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/$releasever/$ba$
[updates-released]
name=Fedora Core $releasever - $basearch - Released Updates
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/$releas$
#[updates-testing]


what I'am missing ????

Thank you

Copter

imdeemvp
17th July 2004, 03:16 PM
did you download the one the has packagename.src.rpm or just .rpm because it makes a huge diffenrence....between src.rpm and .rpm

download the .rpm ONE !!!

imdeemvp
17th July 2004, 03:24 PM
this link here contains the plugins you are looking for fedora core 2 ( i think):

http://rpm.pbone.net/index.php3/stat/4/idpl/1327614/com/gstreamer-plugins-0.8.2-2.i386.rpm.html

check out this one too:

http://rpm.pbone.net/index.php3/stat/4/idpl/1327612/com/gstreamer-0.8.3-2.i386.rpm.html

Jman
17th July 2004, 03:39 PM
You're missing something from yum.conf:
[livna-stable]
name=Livna.org Fedora Compatible Packages (stable)
baseurl= http://rpm.livna.org/fedora/$releasever/$basearch/yum/stable
ftp://ftp.uninett.no/pub/linux/Fedora-contrib/rpm.livna.org/$releasever/$basearch/yum/stable
#gpgcheck=1
Fedora Tracker says Livna has gstreamer-plugins-mp3 (http://www.fedoratracker.org/tracker.py?mode=pkgSearchCommit&package.name_regex=1&package.name=gstreamer-plugins-mp3&repo.version=2&package.arch=!src&repo.description=!unstable%20!bleeding%20!testing&actionID=45631&iteration=3)

Try
yum install gstreamer-plugins-mp3 again.

ilja
17th July 2004, 08:59 PM
I didn't know that you don't use yum, sorry. Here is a little help : http://www.fedorafaq.org/#installsoftware

Linuxworld
17th July 2004, 09:20 PM
yum install gstreamer-tools
take a look at yum info gstreamer-tools

<snip>
This package contains the basic command-line tools used for GStreamer, like
gst-register and gst-launch. It is split off to allow parallel-installability
in the future.

copter
20th July 2004, 01:47 PM
You're missing something from yum.conf:
[livna-stable]
name=Livna.org Fedora Compatible Packages (stable)
baseurl= http://rpm.livna.org/fedora/$releasever/$basearch/yum/stable
ftp://ftp.uninett.no/pub/linux/Fedora-contrib/rpm.livna.org/$releasever/$basearch/yum/stable
#gpgcheck=1
Fedora Tracker says Livna has gstreamer-plugins-mp3 (http://www.fedoratracker.org/tracker.py?mode=pkgSearchCommit&package.name_regex=1&package.name=gstreamer-plugins-mp3&repo.version=2&package.arch=!src&repo.description=!unstable%20!bleeding%20!testing&actionID=45631&iteration=3)

Try
yum install gstreamer-plugins-mp3 again.

Hi : thank you so much for all your help...well..I downloaded the yum.conf from http://www.fedorafaq.org/#installsoftware and tried

yum install gstreamer-plugins-mp3

well I get this :

Recogiendo·la·información·del·archivo(s)·de·cabece ra·del·servidor(es)
Servidor:·Fedora Core 2 - i386 - Base
Servidor:·Fedora.us Extras (Stable)
Servidor:·Fedora.us Extras (Testing)
Servidor:·Fedora.us Extras (Unstable)
Servidor:·Livna.org - Fedora Compatible Packages (stable)
Servidor:·Livna.org - Fedora Compatible Packages (testing)
retrygrab()·falló·para:
··http://livna.cat.pdx.edu/fedora/2/i386/yum/headers/header.info
··Ejecutando·el·método·'failover'
Servidor:·Livna.org - Fedora Compatible Packages (unstable)
Servidor:·macromedia.mplug.org - Flash Plugin
Servidor:·Fedora Core 2 - i386 - Released Updates
Encontrando·paquetes·actualizados
Descargando·las·cabeceras·necesarias
Resolviendo·dependencias
....Unable to satisfy dependencies
Package gstreamer-plugins-mp3 needs /usr/bin/gst-register-0.8, this is not available.
Package gstreamer-plugins-mp3 needs /usr/bin/gst-register-0.8, this is not available.

Now..how do I get this gst-register-0.8......????

Thank you so much again for your great help

Copter








:p

friez
20th July 2004, 02:14 PM
did you try yum install gstreamer-plugins for gst-register-0.8

ps you could also use gstreamer-mad for mp3 support but not with gstreamer-plugins-mp3

Linuxworld
20th July 2004, 09:01 PM
http://tettnang.freshrpms.net/
and search for gstreamer-plugins-extra-audio,including mad mp3 decoding.
put freshrpms in your yum.conf and enjoy it !!! ;)

foolish
20th July 2004, 10:53 PM
STOP! Hold on for a minute here!

What you want to do is to follow the instructions given in www.fedorafaq.org/#rhythmbox-mp3

On how to install software: www.fedorafaq.org/#installsoftware

wtw1ster
15th December 2005, 11:58 PM
Well strugle is an understatement! I have a fresh installation of fedora core 2. I have tried to install these dam plugins for Rhythm Box for hours now and can't figure it out! Rhythm Box is installed, the plugins are on my desktop (via.download). I have run all these commands to no avail: yum install gstreamer-utils, yum install gstreamer-plugins-mp3, yum install gstreamer-plugins-0.8.5-1.1.fc2.nr.scr.rpm, yum install gstreamer-plugins, yum install gstreamer-0.8.2-2.src.rpm, yum install gstreamer-tools....as you probably know I am a NOOB! I get the following messges: unable to find pid then some jargon then segmentation foult! WTF MAN PLEASE HELP SOMEONE!